<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape8_white_bg"
    android:paddingVertical="@dimen/dp_18">

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_dialog_legal_info"
        style="@style/my_TextView_style"
        android:layout_width="wrap_content"
        android:layout_centerHorizontal="true"
        android:text="@string/txt_legal_info_title"
        android:textColor="@color/black80"
        android:textSize="@dimen/textSize18"
        app:typeface="@string/roboto_bold_font" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_dialog_legal_content"
        style="@style/my_TextView_style"
        android:layout_width="wrap_content"
        android:layout_below="@id/tv_dialog_legal_info"
        android:layout_marginHorizontal="@dimen/dp_18"
        android:layout_marginTop="@dimen/dp_16"
        android:gravity="start"
        android:text="@string/txt_legal_info_content"
        android:textColor="@color/black80"
        android:textSize="@dimen/textSize14"
        app:typeface="@string/roboto_regular_font" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_dialog_legal_info_privacy"
        style="@style/my_TextView_style"
        android:layout_width="wrap_content"
        android:layout_below="@id/tv_dialog_legal_content"
        android:layout_alignStart="@id/tv_dialog_legal_content"
        android:layout_marginTop="@dimen/dp_10"
        android:text="@string/txt_privacy_policy"
        android:textColor="@color/txt_policy_color"
        android:textSize="@dimen/textSize14" />

    <com.abbidot.tracker.widget.TypefaceTextView
        android:id="@+id/tv_dialog_legal_info_terms_of_service"
        style="@style/my_TextView_style"
        android:layout_width="wrap_content"
        android:layout_below="@id/tv_dialog_legal_info_privacy"
        android:layout_alignStart="@id/tv_dialog_legal_content"
        android:layout_marginTop="@dimen/dp_10"
        android:text="@string/txt_service_contract"
        android:textColor="@color/txt_policy_color"
        android:textSize="@dimen/textSize14" />

    <!--android:button="@drawable/check_box_agree_select"-->
    <androidx.appcompat.widget.AppCompatCheckBox
        android:id="@+id/box_read_and_accept"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/tv_dialog_legal_info_terms_of_service"
        android:layout_marginStart="@dimen/dp_12"
        android:layout_marginTop="@dimen/dp_8"
        android:checked="false"
        android:padding="0dp"
        android:text="@string/txt_read_and_accept"
        android:textColor="@color/black80"
        android:textSize="@dimen/textSize12" />

    <com.abbidot.tracker.widget.TypefaceRoundButton
        android:id="@+id/btn_dialog_legal_info_reject"
        style="@style/my_QMUIRoundButton_big_style"
        android:layout_width="@dimen/dp_110"
        android:layout_height="@dimen/dp_42"
        android:layout_below="@id/box_read_and_accept"
        android:layout_alignParentStart="true"
        android:layout_marginStart="@dimen/dp_36"
        android:layout_marginTop="@dimen/dp_24"
        android:text="@string/txt_deny"
        android:textSize="@dimen/textSize14"
        app:qmui_borderColor="@color/txt_button"
        app:qmui_borderWidth="0.55dp"
        app:typeface="@string/roboto_bold_font" />

    <com.abbidot.tracker.widget.TypefaceRoundButton
        android:id="@+id/btn_dialog_legal_info_accept"
        style="@style/my_QMUIRoundButton_big_style"
        android:layout_width="@dimen/dp_110"
        android:layout_height="@dimen/dp_42"
        android:layout_alignTop="@id/btn_dialog_legal_info_reject"
        android:layout_alignParentEnd="true"
        android:layout_marginEnd="@dimen/dp_36"
        android:text="@string/txt_accept"
        android:textSize="@dimen/textSize14"
        app:qmui_backgroundColor="@color/btn_yellow_color"
        app:typeface="@string/roboto_bold_font" />
</RelativeLayout>
